<?php
/**
 * Createing an oursteps pannel for customizer
 *
 */

// START oursteps SECTION 
    $wp_customize->add_section(
        'luzuk_premium_oursteps_section',
        array(
            'title' => __( 'Our Steps Section', 'luzuk premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_premium_oursteps_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_premium_oursteps_section_disable',
            array(
                'settings'      => 'luzuk_premium_oursteps_section_disable',
                'section'       => 'luzuk_premium_oursteps_section',
                'label'         => __( 'Disable Section', 'luzuk premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk premium' ),
                    'off' => __( 'No', 'luzuk premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'oursteps', 'luzuk_premium_oursteps_section', $color='#f9f9f9');

lzCustomLable($wp_customize, 'luzuk_sec_ourstepssectionpadding', 'luzuk_premium_oursteps_section', 'Set Section Padding:');

$wp_customize->add_setting(
    'oursteps_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'oursteps_areaTpadding',
    array(
        'settings'      => 'oursteps_areaTpadding',
        'section'       => 'luzuk_premium_oursteps_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'oursteps_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'oursteps_areaBpadding',
    array(
        'settings'      => 'oursteps_areaBpadding',
        'section'       => 'luzuk_premium_oursteps_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

// $wp_customize->add_setting(
//     'oursteps_areaLpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'oursteps_areaLpadding',
//     array(
//         'settings'      => 'oursteps_areaLpadding',
//         'section'       => 'luzuk_premium_oursteps_section',
//         'type'          => 'text',
//         'label'         => __( 'Left Padding', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_setting(
//     'oursteps_areaRpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '0em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'oursteps_areaRpadding',
//     array(
//         'settings'      => 'oursteps_areaRpadding',
//         'section'       => 'luzuk_premium_oursteps_section',
//         'type'          => 'text',
//         'label'         => __( 'Right Padding', 'luzuk-premium' )
//     )
// );



    $wp_customize->add_setting(
    'luzuk_oursteps_title_sub_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_oursteps_title_sub_title_heading',
        array(
            'settings'      => 'luzuk_oursteps_title_sub_title_heading',
            'section'       => 'luzuk_premium_oursteps_section',
            'label'         => __( 'Section Heading', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting(
    'luzuk_oursteps_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR STEPS', 'luzuk' )
    )
);
$wp_customize->add_control(
    'luzuk_oursteps_title',
    array(
        'settings'      => 'luzuk_oursteps_title',
        'section'       => 'luzuk_premium_oursteps_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);



 
  // Heading color
addColorPalatOption($wp_customize, 'luzuk_oursteps_sectionttlColor', 'luzuk_premium_oursteps_section', 'Section Heading color', '#2b3f59');

addColorPalatOption($wp_customize, 'ourstepssecbrdColor', 'luzuk_premium_oursteps_section', 'Section Heading Border & Icon color', '#ff9310');

     
$wp_customize->add_setting('luzuk_oursteps_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_oursteps_npp_heading',
        array(
            'settings'      => 'luzuk_oursteps_npp_heading',
            'section'       => 'luzuk_premium_oursteps_section',
            'label'         => __( 'Number Of steps Plans', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('luzuk_oursteps_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'luzuk_oursteps_npp_count',
    array(
        'settings'      => 'luzuk_oursteps_npp_count',
        'section'       => 'luzuk_premium_oursteps_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 8; $i++ ){
    $wp_customize->add_setting(
        'luzuk_oursteps_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_oursteps_header'.$i,
            array(
                'settings'      => 'luzuk_oursteps_header'.$i,
                'section'       => 'luzuk_premium_oursteps_section',
                'label'         => __( 'oursteps Page ', 'luzuk' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'luzuk_oursteps_page_icon'.$i,
        array(
            'default'           => 'fa fa-cube',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'luzuk_oursteps_page_icon'.$i,
            array(
                'settings'      => 'luzuk_oursteps_page_icon'.$i,
                'section'       => 'luzuk_premium_oursteps_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk' ),
            )
        )
    );

lzAddElement($wp_customize, 'luzuk_oursteps_page_numtitle'.$i, 'luzuk_premium_oursteps_section', $type = 'text', $label="Numrical Title", $callback ='luzuk_sanitize_text', $default='1');

lzAddElement($wp_customize, 'luzuk_oursteps_page_title_'.$i, 'luzuk_premium_oursteps_section', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='BOOKING');

    lzAddElement($wp_customize, 'luzuk_oursteps_page_url_'.$i, 'luzuk_premium_oursteps_section', $type = 'text', $label="Button Link", $callback ='esc_url', $default='Add link here');

    /*code for button text*/
    
}

lzCustomLable($wp_customize, 'luzuk_ourstepscolor', 'luzuk_premium_oursteps_section', ' Section Color Setting');

addColorPalatOption($wp_customize, 'luzuk_oursteps_numColor', 'luzuk_premium_oursteps_section', 'Numrical color', '#dedede');

addColorPalatOption($wp_customize, 'luzuk_oursteps_numhvColor', 'luzuk_premium_oursteps_section', 'Numrical Hover color', '#fddb1f');

addColorPalatOption($wp_customize, 'luzuk_oursteps_brdoneColor', 'luzuk_premium_oursteps_section', 'Icon Border One color', '#fddb1f');

addColorPalatOption($wp_customize, 'luzuk_oursteps_brdtwoColor', 'luzuk_premium_oursteps_section', 'Icon Border Two color', '#ebebeb');

    // Icon color
addColorPalatOption($wp_customize, 'luzuk_oursteps_IconColor', 'luzuk_premium_oursteps_section', 'Icon color', '#2f2f2f');

addColorPalatOption($wp_customize, 'luzuk_oursteps_IconhoverColor', 'luzuk_premium_oursteps_section', 'Icon Hover color', '#fddb1f');


addColorPalatOption($wp_customize, 'luzuk_oursteps_IconbackgroundColor', 'luzuk_premium_oursteps_section', 'Icon Background color', '#f2f2f2');

addColorPalatOption($wp_customize, 'luzuk_oursteps_btnarrowclrColor', 'luzuk_premium_oursteps_section', 'Button Arrow color', '#fddb1f');

addColorPalatOption($wp_customize, 'luzuk_oursteps_btnarrowhvrColor', 'luzuk_premium_oursteps_section', 'Button Arrow Border color', '#b4b4b4');

     // Title color
addColorPalatOption($wp_customize, 'luzuk_oursteps_titleColor', 'luzuk_premium_oursteps_section', 'Title color', '#003f71');

addColorPalatOption($wp_customize, 'luzuk_oursteps_titlehvColor', 'luzuk_premium_oursteps_section', 'Title Hover color', '#fddb1f');

